#include <bits/stdc++.h>
using namespace std;
int ucitaj()
{
	bool minus=false;
	int rez=0;
	char ch;
	ch=getchar();
	while (true)
	{
		if (ch=='-')break;
		if (ch>='0' or ch<='9')break;
		ch=getchar();
	}
	if (ch=='-')minus=true;else rez=ch-'0';
	while(true)
	{
		ch=getchar();
		if (ch<'0' or ch>'9') break;
		rez=rez*10+(ch-'0');
	}
	if (minus)
	return -rez;
	else
	return rez;
}
int main()
{
	int a,n,x,i,max,min,s;
	n=ucitaj();
	x=ucitaj();
	a=ucitaj();
	max=a;
	min=a;
	for (i=1;i<n;i++)
	{
		a=ucitaj();
		if (a>max)
		{
			max=a;
		}
		else 
		{
			if (a<min)
			{
				min=a;
			}
		}
	}
	if (x<max and x>min)
	{
		if (abs(x-min)<abs(max-x))
		{
			s=max-min+x-min;
		}
		else
		{
			s=max-min+max-x;
		}
	}
	else
	{
		if (x>max)
		{
			s=x-min;
		}
		else
		{
			s=max-x;
		}
	}
	printf("%d",s);
}